package com.dgtly.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 订单基础 订单的基础信息对象 order_base
 * 
 * @author qxp
 * @date 2020-07-10
 */
public class OrderDetailModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    //订单号
    private String orderNumber;
    //创建时间
    private String orderCreationTime;
    //总重量
    private BigDecimal orderWeight = new BigDecimal("0.00000");
    //订单金额
    private BigDecimal orderAmount = new BigDecimal("0.00000");
    //发货过账
    private BigDecimal shipmentPosted = new BigDecimal("0.00000");
    //发货未过账
    private BigDecimal shipmentNotPosted = new BigDecimal("0.00000");
    //未清金额
    private BigDecimal unclearAmount = new BigDecimal("0.00000");
    //冻结金额
    private BigDecimal freezeAmount = new BigDecimal("0.00000");
    /**
     * 订单状态 (ui上需要只需要11 12 14 15 16)
     * 10 订单初建
     * 11 待过信用
     * 12 待确认收货时间
     * 13 已确认收货时间
     * 14 待发货
     * 15 待收货
     * 16 待评价
     */
    private int status = 10;
    //    行明细
    private List<OrderLineDetailLineModel> orderLineDetailLineModels = new ArrayList<>();

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOrderCreationTime() {
        return orderCreationTime;
    }

    public void setOrderCreationTime(String orderCreationTime) {
        this.orderCreationTime = orderCreationTime;
    }

    public BigDecimal getOrderWeight() {
        return orderWeight;
    }

    public void setOrderWeight(BigDecimal orderWeight) {
        this.orderWeight = orderWeight;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public BigDecimal getShipmentPosted() {
        return shipmentPosted;
    }

    public void setShipmentPosted(BigDecimal shipmentPosted) {
        this.shipmentPosted = shipmentPosted;
    }

    public BigDecimal getShipmentNotPosted() {
        return shipmentNotPosted;
    }

    public void setShipmentNotPosted(BigDecimal shipmentNotPosted) {
        this.shipmentNotPosted = shipmentNotPosted;
    }

    public BigDecimal getUnclearAmount() {
        return unclearAmount;
    }

    public void setUnclearAmount(BigDecimal unclearAmount) {
        this.unclearAmount = unclearAmount;
    }

    public BigDecimal getFreezeAmount() {
        return freezeAmount;
    }

    public void setFreezeAmount(BigDecimal freezeAmount) {
        this.freezeAmount = freezeAmount;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public List<OrderLineDetailLineModel> getOrderLineDetailLineModels() {
        return orderLineDetailLineModels;
    }

    public void setOrderLineDetailLineModels(List<OrderLineDetailLineModel> orderLineDetailLineModels) {
        this.orderLineDetailLineModels = orderLineDetailLineModels;
    }

    @Override
    public String toString() {
        return "OrderDetailModel{" +
                "orderNumber='" + orderNumber + '\'' +
                ", orderCreationTime='" + orderCreationTime + '\'' +
                ", orderWeight=" + orderWeight +
                ", orderAmount=" + orderAmount +
                ", shipmentPosted=" + shipmentPosted +
                ", shipmentNotPosted=" + shipmentNotPosted +
                ", unclearAmount=" + unclearAmount +
                ", freezeAmount=" + freezeAmount +
                ", status=" + status +
                ", orderLineDetailLineModels=" + orderLineDetailLineModels +
                '}';
    }
}
